Subject: mpc8248 and FCC ethernet

From: Wojciech Kromer <[email-masked]>
Date: Fri, 07 Oct 2005 11:14:58 +0200

What are differences between using FCC in u-boot and kernel?

I have fine working u-boot on my new mpc8248 board,
I can sucessfully download kernel via ethernet on FCC1.

But inside kernel all RX frames are filled with 0xff data,
also send frames I can see on the other side, are full of 0xff.
Clocks and other FCC aware registers seems to be correct.
The same version on linux (2_4_devel from denx.de) works fine
on another mpc8260 board.

Any hints? Where to find differences?
What should be important to check?